org.jboss.jca.core.bootstrapcontext

## Class BaseCloneableBootstrapContext

- java.lang.Object
- - org.jboss.jca.core.bootstrapcontext.BaseCloneableBootstrapContext

- All Implemented Interfaces:
    java.lang.Cloneable, javax.resource.spi.BootstrapContext, org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext

      public class BaseCloneableBootstrapContext
      extends java.lang.Object
      implements org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext

  The base implementation of the cloneable bootstrap context
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseCloneableBootstrapContext()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext` | `clone()` Clone the BootstrapContext implementation
    `java.util.Timer` | `createTimer()` Create a timer
    `java.lang.String` | `getId()` Get the id of the bootstrap context
    `java.lang.String` | `getName()` Get the name of the bootstrap context
    `javax.transaction.TransactionSynchronizationRegistry` | `getTransactionSynchronizationRegistry()` Get the transaction synchronization registry
    `org.jboss.jca.core.api.workmanager.WorkManager` | `getWorkManager()` Get the work manager
    `java.lang.String` | `getWorkManagerName()` Get the work manager name
    `javax.resource.spi.XATerminator` | `getXATerminator()` Get the XA terminator
    `boolean` | `isContextSupported(java.lang.Class<? extends javax.resource.spi.work.WorkContext> workContextClass)` Is the work context supported ?
    `void` | `setId(java.lang.String v)` Set the id of the bootstrap context
    `void` | `setName(java.lang.String v)` Set the name of the bootstrap context
    `void` | `setResourceAdapter(javax.resource.spi.ResourceAdapter ra)` Set the resource adapter
    `void` | `setTransactionSynchronizationRegistry(javax.transaction.TransactionSynchronizationRegistry tsr)` Set the transaction synchronization registry
    `void` | `setWorkManager(org.jboss.jca.core.api.workmanager.WorkManager wm)` Set the work manager
    `void` | `setWorkManagerName(java.lang.String wmn)` Set the work manager name
    `void` | `setXATerminator(javax.resource.spi.XATerminator xt)` Set the XA terminator
    `void` | `shutdown()` Shutdown

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseCloneableBootstrapContext

          public BaseCloneableBootstrapContext()

      Constructor

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Get the id of the bootstrap context
      Specified by:
        `getId` in interface `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext`
      Returns:
        The value

    - #### setId

          public void setId(java.lang.String v)

      Set the id of the bootstrap context
      Specified by:
        `setId` in interface `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext`
      Parameters:
        `v` - The value

    - #### getName

          public java.lang.String getName()

      Get the name of the bootstrap context
      Specified by:
        `getName` in interface `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext`
      Returns:
        The value

    - #### setName

          public void setName(java.lang.String v)

      Set the name of the bootstrap context
      Parameters:
        `v` - The value

    - #### setResourceAdapter

          public void setResourceAdapter(javax.resource.spi.ResourceAdapter ra)

      Set the resource adapter
      Specified by:
        `setResourceAdapter` in interface `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext`
      Parameters:
        `ra` - The handle

    - #### getTransactionSynchronizationRegistry

          public javax.transaction.TransactionSynchronizationRegistry getTransactionSynchronizationRegistry()

      Get the transaction synchronization registry
      Specified by:
        `getTransactionSynchronizationRegistry` in interface `javax.resource.spi.BootstrapContext`
      Returns:
        The handle

    - #### setTransactionSynchronizationRegistry

          public void setTransactionSynchronizationRegistry(javax.transaction.TransactionSynchronizationRegistry tsr)

      Set the transaction synchronization registry
      Specified by:
        `setTransactionSynchronizationRegistry` in interface `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext`
      Parameters:
        `tsr` - The handle

    - #### getWorkManager

          public org.jboss.jca.core.api.workmanager.WorkManager getWorkManager()

      Get the work manager
      Specified by:
        `getWorkManager` in interface `javax.resource.spi.BootstrapContext`
      Returns:
        The handle

    - #### setWorkManager

          public void setWorkManager(org.jboss.jca.core.api.workmanager.WorkManager wm)

      Set the work manager
      Specified by:
        `setWorkManager` in interface `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext`
      Parameters:
        `wm` - The handle

    - #### getWorkManagerName

          public java.lang.String getWorkManagerName()

      Get the work manager name
      Specified by:
        `getWorkManagerName` in interface `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext`
      Returns:
        The value

    - #### setWorkManagerName

          public void setWorkManagerName(java.lang.String wmn)

      Set the work manager name
      Specified by:
        `setWorkManagerName` in interface `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext`
      Parameters:
        `wmn` - The value

    - #### getXATerminator

          public javax.resource.spi.XATerminator getXATerminator()

      Get the XA terminator
      Specified by:
        `getXATerminator` in interface `javax.resource.spi.BootstrapContext`
      Returns:
        The handle

    - #### setXATerminator

          public void setXATerminator(javax.resource.spi.XATerminator xt)

      Set the XA terminator
      Specified by:
        `setXATerminator` in interface `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext`
      Parameters:
        `xt` - The handle

    - #### createTimer

          public java.util.Timer createTimer()

      Create a timer
      Specified by:
        `createTimer` in interface `javax.resource.spi.BootstrapContext`
      Returns:
        The timer

    - #### isContextSupported

          public boolean isContextSupported(java.lang.Class<? extends javax.resource.spi.work.WorkContext> workContextClass)

      Is the work context supported ?
      Specified by:
        `isContextSupported` in interface `javax.resource.spi.BootstrapContext`
      Parameters:
        `workContextClass` - The work context class
      Returns:
        True if supported; otherwise false

    - #### shutdown

          public void shutdown()

      Shutdown
      Specified by:
        `shutdown` in interface `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext`

    - #### clone

          public org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext clone()
                                                                           throws java.lang.CloneNotSupportedException

      Clone the BootstrapContext implementation
      Specified by:
        `clone` in interface `org.jboss.jca.core.api.bootstrap.CloneableBootstrapContext`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        A copy of the implementation
      Throws:
        `java.lang.CloneNotSupportedException` - Thrown if the copy operation isn't supported

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)